<?php
require_once("../includes/bootstrap.php");
$sesion=new sesion(); // inicio la sesion
$sesion->set('permiso',permisos($_POST['privilegio']));	

?>
<script  type="text/javascript">
$(function(){
	var rutModulo="mod_boletin_grupos/";
	var gridImpBole=jQuery("#list_ImpGrup").jqGrid({
		height: 450,
		width:735,
		url:rutModulo+'list_grupos.php',
		datatype: "json",
		mtype:'POST',
		hidegrid:false,
		multiselect: false,
		rowNum:300,
		rowList:[15,30,50],
		pgbutton:false,
		pager:null,
		viewrecords: true,
		scrollrows:true,
		caption:'<?php echo $dtsLang['reportes']['lbl_tit_listgru'] ?>',
		toolbar:[true,"top"],
		grouping:true,
		groupingView:{groupField:["sede"],
			groupCollapse:true,
			groupText:['<b>{0} - {1} Grupos</b>'],
			groupSummary : [true],
			showSummaryOnHide: false,
		}, 
		ondblClickRow:function(rowid){

		},
	
		colNames:[
			'<?php echo $dtsLang['reportes']['lbl_rep_sede'] ?>',
			'<?php echo $dtsLang['reportes']['lbl_rep_jornada'] ?>',
			'<?php echo $dtsLang['reportes']['lbl_grado'] ?>',
			'<?php echo $dtsLang['reportes']['lbl_rep_grupo'] ?>',
			'<?php echo $dtsLang['reportes']['num_estudiantes'] ?>'			
		],
		colModel:[
			{name:'sede',index:'sede',resizable:false,width:200,summaryType:'count', summaryTpl : 'Total estudiantes'},
			{name:'jornada',index:'jornada', width:140, searchoptions:{searchhidden:true} },
			{name:'grado',index:'grado',resizable:false,width:160},
			{name:'grupo',index:'grupo',resizable:false,width:70, search:false},
			{name:'numero',index:'numero',resizable:false,width:100, search:false, sorttype:'integer',formatter:'integer',summaryType:'sum'},	
		],
		loadComplete:function(){
			cambiar_iconos('pager_estudiantes')
		},
		shrinkToFit:false,
	});
	coloca_boton({
		id:'boton_imp',
		elem:'t_list_ImpGrup',
		buttonicon:'icon-excel',
		title:'Generar Boletines Para Imprimir',
		caption:'Generar boletines',
		
		onClickButton:function(){
			var gruposel=(gridImpBole.getGridParam("selrow"));
			if (gruposel!=null){
				var datagroup=gridImpBole.getRowData(gruposel);
				var datos='&grupo='+gruposel+'&sede='+datagroup.sede+'&jorn='+datagroup.jornada+'&grado='+datagroup.grado+' '+datagroup.grupo+'&num='+datagroup.numero;
						
				window.open(rutModulo+"imprime_boletin.php"+'?peri=1'+datos ,'','width=800,height=500,menubar=0,scrollbars=yes')
			}
			else{
				jAlert(dtsLang['reportes']['selrec_bol'],dtsLang['project']['institucion']);	
			}	
		}
	});
	$("#help_listado_estudiantes").append('Agrupar por: <select id="chngroup" > <option value="sede">Sedes</option> <option value="jornada">Jornadas</option> <option value="grado">Grados</option> </select>');
			
});
</script>

<table border="0">
  <tr>
    <td>
    	<table id="list_ImpGrup"></table>
		<div id="pager_ImpGrup"></div>       
    </td>
  </tr>
</table>